INTERFACE
SUBROUTINE LACDYNAD(CDCONF,KST,KPROF,PDT,&
 & PSLHDA,PSLHDD0,&
 & PGFL,&
 & PRE0,PKAP0,PDELP0,PRDELP0,PEVEL0,PVVEL0,PSGRTL,PSGRTM,&
 & PGFL5,&
 & PRE5,PKAP5,PDELP5,PRDELP5,PEVEL5,PVVEL5,&
 & PGM,PRCORI,PGOMVRL,PGOMVRM,&
 & POROG,POROGL,POROGM,&
 & PGMV,PGMVS,PB1,PB2,PGMVT1,PGMVT1S,&
 & PGMV5,PGMV5S) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG
USE YOMSC2 , ONLY : NFLDSLB2 ,NFLDSLB1
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS ,YT5 ,YT1
USE YOM_YGFL , ONLY : YGFL
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PSLHDA(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLHDD0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKAP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL5(NPROMA,NFLEVG,YGFL%NDIM5)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5S(NPROMA,YT5%NDIMS)
END SUBROUTINE LACDYNAD
END INTERFACE
